## FolksBirthdayDetails

FolksBirthdayDetails — Birthday details for a contact.

## Types and Values

| FolksBirthdayDetails
struct | FolksBirthdayDetailsIface

## Description

This allows representation of the birth date and associated calendar event ID of a contact.

## Functions

## Types and Values

### FolksBirthdayDetails

    typedef struct _FolksBirthdayDetails FolksBirthdayDetails;

Birthday details for a contact.

This allows representation of the birth date and associated calendar event ID of a contact.

Since: 0.4.0

### struct FolksBirthdayDetailsIface

    struct FolksBirthdayDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_birthday) (FolksBirthdayDetails* self, GDateTime* birthday, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_birthday_finish) (FolksBirthdayDetails* self, GAsyncResult* _res_, GError** error);
    	void (*change_calendar_event_id) (FolksBirthdayDetails* self, const gchar* event_id, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_calendar_event_id_finish) (FolksBirthdayDetails* self, GAsyncResult* _res_, GError** error);
    	GDateTime* (*get_birthday) (FolksBirthdayDetails* self);
    	void (*set_birthday) (FolksBirthdayDetails* self, GDateTime* value);
    	const gchar* (*get_calendar_event_id) (FolksBirthdayDetails* self);
    	void (*set_calendar_event_id) (FolksBirthdayDetails* self, const gchar* value);
    };

Interface for creating FolksBirthdayDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_birthday` () | virtual method called by ``folks_birthday_details_change_birthday()`` |
`change_birthday_finish` () | asynchronous finish function for `change_birthday`, called by ``folks_birthday_details_change_birthday()`` |
`change_calendar_event_id` () | virtual method called by ``folks_birthday_details_change_calendar_event_id()`` |
`change_calendar_event_id_finish` () | asynchronous finish function for `change_calendar_event_id`, called by ``folks_birthday_details_change_calendar_event_id()`` |
`get_birthday` () | getter method for the abstract property "birthday" |
`set_birthday` () | setter method for the abstract property "birthday" |
`get_calendar_event_id` () | getter method for the abstract property "calendar-event-id" |
`set_calendar_event_id` () | setter method for the abstract property "calendar-event-id" |